#ifndef _DISPLAY_H_

#define REAL_SCREEN_W 28
#define REAL_SCREEN_H 18
#define SCREEN_W REAL_SCREEN_H
#define SCREEN_H REAL_SCREEN_W

void clear_rect(int screen, int x, int y, int w, int h);
void r_fill_char(int screen, int x, int y, int w, int h, unsigned int data);
void r_fill_char_incr(int screen, int x, int y, int w, int h, 
		      unsigned int base_char);
int r_get_char1(int screen, int x, int y);
void r_set_attr1(int screen, int x, int y, int attr);
void draw_char_to_font(int dstcode, int code);
void draw_char(int screen, int x, int y, int code);
void draw_string(int screen, int x, int y, const char* string);
void rotate_up_line(int screen, int x, int y, int w, int h);
void rotate_down_line(int screen, int x, int y, int w, int h);
void rotate_up_char(int screen, int x, int y, int w, int h, 
		    int i0, int i1);
void rotate_down_char(int screen, int x, int y, int w, int h,
		    int i0, int i1);

#define _DISPLAY_H_
#endif /* _DISPLAY_H_ */
